Solar Orbiter LFR - Bug #266

tests préliminaires sur design 0.1.32
05/11/2014 03:49 PM - paul leroy

Status: Closed Start date: 05/11/2014
Priority: Normal Due date:

Assignee: paul leroy % Done: 90%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Comportement inattendu au démarrage.

Séquence 1:

1 reset HW OK

2 soft reset bit fixé a 0

3 status inattendu pour les matrices spectrales: 0x00 00 00 b0 => 1011 0000, les deux matrices f2_0 et f2_1 sont prétes, une erreur
error_buffer_full

Séquence 2:

1 reset HW OK

2 démarrage du SW de vol (soft reset fixé a 1 puis a zéros)

3 status inattendu pour les matrices spectrales: 0x00 00 00 30 => 0011 0000, les deux matrices f2_0 et f2_1 sont prétes, 'erreur
error_buffer_full a disparu

History

#1 - 06/11/2014 03:36 PM - paul leroy

Autre comportement inattendu:

Au démarrage du mode normal, le temps n'est pas écrit pour le registre f3_0. A la bascule vers le buffer f3_1, le temps n'est pas écrit non plus. Il faut
attendre encore un changement de buffer avant de voir les premiéres informations de temps écrites dans les registres reg_wp.time_buffer

Ce comportement est également observé sur les données continues a f2 en mode BURST. Il faut attendre le troisieme buffer de données pour voir
des données de temps valides.

#2 - 14/11/2014 02:14 PM - paul leroy

Pendant le fonctionnement, il semblerait que les flags status_error_input_fifo_write(1) et status_error_input_fifo_write(2)soient toujours levés (bits 9 et
10 du status des matrices spectrales). On lit le registre de status suivant a I'adresse 0x04 [0000 0110 0000 0000 =06 0 0]

#3 - 18/12/2014 11:23 AM - Jean-Christophe Pellion
- Status changed from New to Resolved
- Assignee changed from Jean-Christophe Pellion to paul leroy

- % Done changed from 0 to 90

Corrigé dans la version (r465) (MINI-LFR) WFP_MS-0-1-35

#4 - 10/02/2015 09:02 AM - paul leroy

- Status changed from Resolved to Closed
